### File

`packages/eui/packages/components-next/src/lib/components/eui-dialog/models/dialog.config.model.ts`

### Index

###### Properties
acceptButton bodyComponent disableClose dismissButton draggable e2eAttr footerComponent hasFooter hasNoBodyPadding headerComponent height id isHandleCloseOnAccept isHandleCloseOnClickOutside isHandleCloseOnClose isHandleCloseOnDismiss message onAccept onClick onClickOutside onClose onDismiss title typeClass width

### Constructor

`constructor(values: Object)`
Parameters :
Name | Type | Optional
values | `Object` | No

### Properties

acceptButton
Type : `object`
Default value : `{ label: 'eui.OK', icon: null, disabled: false, }`

bodyComponent
Type : `literal type`

disableClose
Default value : `false`

dismissButton
Type : `object`
Default value : `{ label: 'eui.CANCEL', icon: null, disabled: false, }`

draggable
Default value : `false`

e2eAttr
Type : `string`
Default value : `'eui-dialog'`

footerComponent
Type : `literal type`

hasFooter
Default value : `true`

hasNoBodyPadding
Default value : `false`

headerComponent
Type : `literal type`

height
Type : `string`
Default value : `'auto'`

id
Type : `string`

isHandleCloseOnAccept
Default value : `false`

isHandleCloseOnClickOutside
Default value : `false`

isHandleCloseOnClose
Default value : `false`

isHandleCloseOnDismiss
Default value : `false`

message
Type : `string`

onAccept
Type : `function`

onClick
Type : `function`

onClickOutside
Type : `function`

onClose
Type : `function`

onDismiss
Type : `function`

title
Type : `string`

typeClass

width
Type : `string`
Default value : `'33vw'`

# result-matching ""

# No results matching ""